Subject: Philodendron gigantea

From: [email-masked] (Matt D.)
Date: 22 Mar 1996 03:03:09 GMT

I need to know if there is a common name for this plant and if anyone can
give me info on where to find it.  I am interested in using it in my
discus aquarium. I have been told that the stems dip down into the water
and deelop into a maze of roots that cleanse the water of the
decomposition products of metabolism.  It's just what I need!
   
   Thank you very much for and information.
            
            Matt Dodd
            [email-masked]